kill INSTALL/DEINSTALL

This commit is contained in:
espie 2004-09-24 09:37:39 +00:00
parent 9944b61d27
commit 50b6f31fe3
15 changed files with 15 additions and 460 deletions

View File

@ -1,29 +0,0 @@
#!/bin/sh
# $OpenBSD: DEINSTALL,v 1.1.1.1 2004/05/13 06:52:36 grange Exp $
#
# cnupm de-installation
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CNUPM_USER=_cnupm
CNUPM_GROUP=_cnupm
CNUPM_DIR=/var/cnupm
if [ "$PKG_DELETE_EXTRA" != Yes ]; then
echo
echo "+---------------"
echo "| To completely deinstall the $1 package you need to perform"
echo "| this step as root:"
echo "|"
echo "| userdel ${CNUPM_USER}"
echo "| groupdel ${CNUPM_GROUP}"
echo "| rm -rf ${CNUPM_DIR}"
echo "|"
echo "| Do not do this if you plan on re-installing $1"
echo "| at some future time."
echo "+---------------"
echo
fi
exit 0

View File

@ -1,58 +0,0 @@
#!/bin/sh
# $OpenBSD: INSTALL,v 1.1.1.1 2004/05/13 06:52:36 grange Exp $
#
# Pre/post-installation setup of cnupm
# exit on errors, use a sane path and install prefix
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CNUPM_USER=_cnupm
CNUPM_GROUP=_cnupm
CNUPM_ID=531
CNUPM_DIR=/var/cnupm
do_usergroup_install()
{
# Create cnupm user and group
if groupinfo -e ${CNUPM_GROUP}; then
echo "===> Using '${CNUPM_GROUP}' group for $1"
else
echo "===> Creating ${CNUPM_GROUP} group for $1"
groupadd -g ${CNUPM_ID} ${CNUPM_GROUP}
fi
if userinfo -e ${CNUPM_USER}; then
echo "===> Using '${CNUPM_USER}' user for $1"
else
echo "===> Creating '${CNUPM_USER}' user for $1"
useradd -u ${CNUPM_ID} -g ${CNUPM_GROUP} -d ${CNUPM_DIR} -m \
-c "cnupm traffic collector" \
-s /sbin/nologin ${CNUPM_USER}
fi
}
# verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
PRE-INSTALL)
do_usergroup_install $1
;;
POST-INSTALL)
install -o ${CNUPM_USER} -g ${CNUPM_GROUP} -m 750 -d \
${CNUPM_DIR}
;;
*)
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
;;
esac
exit 0

View File

@ -1,8 +1,11 @@
@comment $OpenBSD: PLIST,v 1.2 2004/09/15 18:17:39 espie Exp $
@comment $OpenBSD: PLIST,v 1.3 2004/09/24 09:45:35 espie Exp $
@newgroup _cnupm:531
@newuser _cnupm:531:_cnupm::cnupm traffic collector:/var/cnupm:/sbin/nologin
@man man/cat8/cnupm.0
@man man/cat8/cnupmstat.0
sbin/cnupm
sbin/cnupmstat
@extraunexec userdel _cnupm
@extraunexec groupdel _cnupm
@extraunexec rm -rf /var/cnupm
@owner _cnupm
@group _cnupm
@mode 750
@sample /var/cnupm/

View File

@ -1,25 +0,0 @@
#!/bin/sh
# $OpenBSD: DEINSTALL,v 1.2 2004/04/14 09:27:52 xsa Exp $
#
# lftp de-installation
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_FILE=${SYSCONFDIR}/portsentry.conf
if [ ${PKG_DELETE_EXTRA} != Yes -a -f $CONFIG_FILE ]; then
echo
echo "+---------------"
echo "| To completely deinstall the $1 package you need to perform"
echo "| this step as root:"
echo "|"
echo "| rm -f $CONFIG_FILE"
echo "|"
echo "| Do not do this if you plan on re-installing $1"
echo "| at some future time."
echo "+---------------"
echo
fi
exit 0

View File

@ -1,65 +0,0 @@
#!/bin/sh
# $OpenBSD: INSTALL,v 1.1 2001/11/26 16:07:12 kevlo Exp $
#
# Pre/post-installation setup of portsentry
# exit on errors, use a sane path and install prefix
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_FILE=${SYSCONFDIR}/portsentry.conf
SAMPLE_CONFIG_FILE=$PREFIX/share/examples/portsentry/portsentry.conf-sample
do_notice()
{
echo
echo "+---------------"
echo "| The existing $1 configuration file, $CONFIG_FILE,"
echo "| has NOT been changed. You may want to compare it to the"
echo "| current sample file, $SAMPLE_CONFIG_FILE,"
echo "| and update your configuration as needed."
echo "+---------------"
echo
}
do_install()
{
install -o root -g wheel -m 644 $SAMPLE_CONFIG_FILE $CONFIG_FILE
echo
echo "+---------------"
echo "| The $1 configuration file, $CONFIG_FILE,"
echo "| has been installed. Please view this file and change"
echo "| the configuration to meet your needs."
echo "+---------------"
echo
}
# verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
PRE-INSTALL)
: nothing to pre-install for this port
;;
POST-INSTALL)
if [ -f $CONFIG_FILE ]; then
do_notice $1
else
do_install $1
fi
;;
*)
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
;;
esac
exit 0

View File

@ -1,4 +1,4 @@
@comment $OpenBSD: PLIST,v 1.4 2004/09/15 18:36:02 espie Exp $
@comment $OpenBSD: PLIST,v 1.5 2004/09/24 09:38:45 espie Exp $
bin/portsentry
lib/portsentry/
lib/portsentry/portsentry.ignore
@ -8,5 +8,4 @@ share/doc/portsentry/README.methods
share/doc/portsentry/README.stealth
share/examples/portsentry/
share/examples/portsentry/portsentry.conf-sample
@cwd ${SYSCONFDIR}
@extra portsentry.conf
@sample ${SYSCONFDIR}/portsentry.conf

View File

@ -1,25 +0,0 @@
#!/bin/sh
# $OpenBSD: DEINSTALL,v 1.4 2004/04/14 09:27:52 xsa Exp $
#
# siphon de-installation
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_FILE=${SYSCONFDIR}/osprints.conf
if [ ${PKG_DELETE_EXTRA} != Yes -a -f ${CONFIG_FILE} ]; then
echo
echo "+---------------"
echo "| To completely deinstall the $1 package you need to perform"
echo "| this step as root:"
echo "|"
echo "| rm -f ${CONFIG_FILE}"
echo "|"
echo "| Do not do this if you plan on re-installing $1"
echo "| at some future time."
echo "+---------------"
echo
fi
exit 0

View File

@ -1,65 +0,0 @@
#!/bin/sh
# $OpenBSD: INSTALL,v 1.4 2002/03/25 06:30:38 jsyn Exp $
#
# Pre/post-installation setup of siphon
# exit on errors, use a sane path and install prefix
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_FILE=${SYSCONFDIR}/osprints.conf
SAMPLE_CONFIG_DIR=${PREFIX}/share/examples/siphon
do_notice()
{
echo
echo "+---------------"
echo "| The existing $1 configuration file in ${CONFIG_FILE},"
echo "| has NOT been changed. You may want to compare it to the"
echo "| current sample file in ${SAMPLE_CONFIG_DIR},"
echo "| and update your configuration as needed."
echo "+---------------"
echo
}
do_install()
{
install -o root -g wheel -m 644 ${SAMPLE_CONFIG_DIR}/osprints.conf \
${CONFIG_FILE}
echo
echo "+---------------"
echo "| The $1 configuration file has been installed at"
echo "| ${CONFIG_FILE}. Please view this file and change the configuration"
echo "| to meet your needs."
echo "+---------------"
echo
}
# verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
PRE-INSTALL)
: nothing to pre-install for this port
;;
POST-INSTALL)
if [ ! -f ${CONFIG_FILE} ]; then
do_install $1
else
do_notice $1
fi
;;
*)
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
;;
esac
exit 0

View File

@ -1,9 +1,8 @@
@comment $OpenBSD: PLIST,v 1.3 2004/09/15 18:36:02 espie Exp $
@comment $OpenBSD: PLIST,v 1.4 2004/09/24 09:37:39 espie Exp $
bin/siphon
share/doc/siphon/
share/doc/siphon/LICENSE
share/doc/siphon/README
share/examples/siphon/
share/examples/siphon/osprints.conf
@cwd ${SYSCONFDIR}
@extra osprints.conf
@sample ${SYSCONFDIR}/osprints.conf

View File

@ -1,25 +0,0 @@
#!/bin/sh
# $OpenBSD: DEINSTALL,v 1.1.1.1 2004/06/12 21:45:34 avsm Exp $
#
# ocamlfind de-installation
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_FILE=${SYSCONFDIR}/ocamlfind.conf
if [ "$PKG_DELETE_EXTRA" != Yes -a -e $CONFIG_FILE ]; then
echo
echo "+---------------"
echo "| To completely deinstall the $1 package you need to perform"
echo "| this step as root:"
echo "|"
echo "| rm -f $CONFIG_FILE"
echo "|"
echo "| Do not do this if you plan on re-installing $1"
echo "| at some future time."
echo "+---------------"
echo
fi
exit 0

View File

@ -1,64 +0,0 @@
#!/bin/sh
# $OpenBSD: INSTALL,v 1.1.1.1 2004/06/12 21:45:34 avsm Exp $
#
# Pre/post-installation setup of ocamlfind
# exit on errors, use a sane path and install prefix
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_FILE=${SYSCONFDIR}/ocamlfind.conf
SAMPLE_CONFIG_FILE=${SAMPLE_FILE}
do_notice()
{
echo
echo "+---------------"
echo "| The existing $1 configuration file, $CONFIG_FILE,"
echo "| has NOT been changed. You may want to compare it to the"
echo "| current sample file, $SAMPLE_CONFIG_FILE,"
echo "| and update your configuration as needed."
echo "+---------------"
echo
}
do_install()
{
install -o root -g wheel -m 644 $SAMPLE_CONFIG_FILE $CONFIG_FILE
echo
echo "+---------------"
echo "| The $1 configuration file, $CONFIG_FILE,"
echo "| has been installed. Please view this file and change"
echo "| the configuration to meet your needs."
echo "+---------------"
echo
}
# verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
PRE-INSTALL)
: nothing to pre-install for this port
;;
POST-INSTALL)
if [ -f $CONFIG_FILE ]; then
do_notice $1
else
do_install $1
fi
;;
*)
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
;;
esac
exit 0

View File

@ -1,4 +1,4 @@
@comment $OpenBSD: PLIST,v 1.2 2004/09/15 18:39:32 espie Exp $
@comment $OpenBSD: PLIST,v 1.3 2004/09/24 09:40:16 espie Exp $
bin/ocamlfind
lib/ocaml/
lib/ocaml/site-lib/
@ -27,4 +27,5 @@ lib/ocaml/topfind
@man man/man5/site-lib.5
share/examples/findlib/
share/examples/findlib/ocamlfind.conf
@sample ${SYSCONFDIR}/ocamlfind.conf
%%native%%

View File

@ -1,25 +0,0 @@
#!/bin/sh
# $OpenBSD: DEINSTALL,v 1.2 2004/04/14 19:07:38 xsa Exp $
#
# upsd de-installation
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_FILE=${SYSCONFDIR}/upsd.conf
if [ ${PKG_DELETE_EXTRA} != Yes -a -f $CONFIG_FILE ]; then
echo
echo "+---------------"
echo "| To completely deinstall the $1 package you need to perform"
echo "| this step as root:"
echo "|"
echo "| rm -f $CONFIG_FILE"
echo "|"
echo "| Do not do this if you plan on re-installing $1"
echo "| at some future time."
echo "+---------------"
echo
fi
exit 0

View File

@ -1,65 +0,0 @@
#!/bin/sh
# $OpenBSD: INSTALL,v 1.1 2002/08/05 02:25:36 kevlo Exp $
#
# Pre/post-installation setup of upsd
# exit on errors, use a sane path and install prefix
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_FILE=${SYSCONFDIR}/upsd.conf
SAMPLE_CONFIG_FILE=$PREFIX/share/examples/upsd/upsd.conf-sample
do_notice()
{
echo
echo "+---------------"
echo "| The existing $1 configuration file, $CONFIG_FILE,"
echo "| has NOT been changed. You may want to compare it to the"
echo "| current sample file, $SAMPLE_CONFIG_FILE,"
echo "| and update your configuration as needed."
echo "+---------------"
echo
}
do_install()
{
install -o root -g wheel -m 644 $SAMPLE_CONFIG_FILE $CONFIG_FILE
echo
echo "+---------------"
echo "| The $1 configuration file, $CONFIG_FILE,"
echo "| has been installed. Please view this file and change"
echo "| the configuration to meet your needs."
echo "+---------------"
echo
}
# verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
PRE-INSTALL)
: nothing to pre-install for this port
;;
POST-INSTALL)
if [ -f $CONFIG_FILE ]; then
do_notice $1
else
do_install $1
fi
;;
*)
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
;;
esac
exit 0

View File

@ -1,7 +1,6 @@
@comment $OpenBSD: PLIST,v 1.8 2004/09/18 13:11:38 espie Exp $
@comment $OpenBSD: PLIST,v 1.9 2004/09/24 09:42:39 espie Exp $
@conflict nut-*
sbin/upsd
share/examples/upsd/
share/examples/upsd/upsd.conf-sample
@cwd ${SYSCONFDIR}
@extra upsd.conf
@sample ${SYSCONFDIR}/upsd.conf